aboutsummaryrefslogtreecommitdiffstats
path: root/testing/monkeysphere/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-03-14 09:58:05 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2011-03-14 09:58:05 -0500
commitfc2fe2164ddf06656cebd6bec7781c216bd53ef7 (patch)
treeb4f007bf7832938729d0f3951b4e048dde88a1c7 /testing/monkeysphere/APKBUILD
parent0f2bad3a8f9b54395aa6045f9d88e7cfaee51e5a (diff)
downloadaports-fc2fe2164ddf06656cebd6bec7781c216bd53ef7.tar.gz
aports-fc2fe2164ddf06656cebd6bec7781c216bd53ef7.tar.bz2
aports-fc2fe2164ddf06656cebd6bec7781c216bd53ef7.tar.xz
testing/monkeysphere: new aport
Diffstat (limited to 'testing/monkeysphere/APKBUILD')
-rw-r--r--testing/monkeysphere/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/monkeysphere/APKBUILD b/testing/monkeysphere/APKBUILD
new file mode 100644
index 0000000000..bf11966175
--- /dev/null
+++ b/testing/monkeysphere/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=monkeysphere
+pkgver=0.35
+pkgrel=0
+pkgdesc="openpgp web of trust certification tools for SSH and TLS servers"
+url="http://web.monkeysphere.info/"
+arch="noarch"
+license="GPL3"
+depends="openssl gnupg"
+depends_dev=""
+install=""
+subpackages="$pkgname-doc"
+source="http://archive.monkeysphere.info/debian/pool/${pkgname}/m/${pkgname}/${pkgname}_${pkgver}.orig.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ return 0
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="481ac14c9fdef0ccd1944c593bd4f517 monkeysphere_0.35.orig.tar.gz"